LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
PropertyValueInfo Struct Referencepublished

contains value and state of a com::sun::star::beans::Property. More...

`import"PropertyValueInfo.idl";`

Inheritance diagram for PropertyValueInfo:

## Public Attributes
com::sun::star::ucb::PropertyValueState | ValueState
| the state of the property value. More...
Public Attributes inherited from PropertyValue
string | Name
| specifies the name of the property. More...
long | Handle
| contains an implementation-specific handle for the property. More...
any | Value
| contains the value of the property or `VOID`, if no value is available. More...
com::sun::star::beans::PropertyState | State
| determines if the value comes from the object itself or from a default and if the value cannot be determined exactly. More...

## Detailed Description

contains value and state of a com::sun::star::beans::Property.

## Member Data Documentation

com::sun::star::ucb::PropertyValueState ValueState

the state of the property value.

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/PropertyValueInfo.idl